Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.invoke
Class SimpleSCXMLInvoker

    java.lang.Object
      org.apache.commons.scxml.invoke.SimpleSCXMLInvoker

All Implemented Interfaces:
  Invoker, Serializable

public class SimpleSCXMLInvoker
extends Object
implements Invoker, Serializable

A simple `Invoker` for SCXML documents. Invoked SCXML document may not contain external namespace elements, further invokes etc.

See Also:
  Serialized Form

Constructor Summary
`SimpleSCXMLInvoker()`

Method Summary
`void` | `cancel()` Cancel this invocation..
`void` | `invoke(String source, Map params)` Begin this invocation..
`void` | `parentEvents(TriggerEvent[] evts)` Forwards the events triggered on the parent state machine on to the invoked activity..
`void` | `setParentStateId(String parentStateId)` Set the state ID of the owning state for the <invoke>. Implementations must use this ID for constructing the event name for the special "done" event (and optionally, for other event names as well)..
`void` | `setSCInstance(SCInstance scInstance)` Set the "context" of the parent state machine, which provides the channel..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSCXMLInvoker

    public SimpleSCXMLInvoker()

Method Detail

### setParentStateId

    public void setParentStateId(String parentStateId)

  Set the state ID of the owning state for the <invoke>. Implementations must use this ID for constructing the event name for the special "done" event (and optionally, for other event names as well)..

  Specified by:
    `setParentStateId` in interface `Invoker`
  Parameters:
    `parentStateId` - The ID of the parent state.

### setSCInstance

    public void setSCInstance(SCInstance scInstance)

  Set the "context" of the parent state machine, which provides the channel..

  Specified by:
    `setSCInstance` in interface `Invoker`
  Parameters:
    `scInstance` - The "context" of the parent state machine.

### invoke

    public void invoke(String source,
                       Map params)
                throws InvokerException

  Begin this invocation..

  Specified by:
    `invoke` in interface `Invoker`
  Parameters:
    `source` - The source URI of the activity being invoked.
    `params` - The <param> values
  Throws:
    `InvokerException` - In case there is a fatal problem with invoking the source.

### parentEvents

    public void parentEvents(TriggerEvent[] evts)
                      throws InvokerException

  Forwards the events triggered on the parent state machine on to the invoked activity..

  Specified by:
    `parentEvents` in interface `Invoker`
  Parameters:
    `evts` - an array of external events which triggered during the last time quantum
  Throws:
    `InvokerException` - In case there is a fatal problem with processing the events forwarded by the parent state machine.

### cancel

    public void cancel()
                throws InvokerException

  Cancel this invocation..

  Specified by:
    `cancel` in interface `Invoker`
  Throws:
    `InvokerException` - In case there is a fatal problem with canceling this invoke.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.